> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Agent Service Time Metrics > Permission required: `view-livechat-manager` ## OpenAPI ````json GET /api/v1/livechat/analytics/dashboards/agents-productivity-totalizers { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/analytics/dashboards/agents-productivity-totalizers": { "get": { "tags": [ "Omnichannel Dashboards" ], "summary": "Get Agent Service Time Metrics", "description": "Permission required: `view-livechat-manager`", "operationId": "get-api-v1-livechat-analytics-dashboards-agents-productivity-totalizers", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/start" }, { "$ref": "#/components/parameters/end" }, { "$ref": "#/components/parameters/departmentId" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "totalizers": { "type": "array", "items": { "type": "object", "properties": { "title": { "type": "string" }, "value": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "totalizers": [ { "title": "Busiest_time", "value": "9AM- 10AM" }, { "title": "Avg_of_available_service_time", "value": "00:45:18" }, { "title": "Avg_of_service_time", "value": "00:06:00" } ], "success": "true" } } } } } }, "400": { "$ref": "#/components/responses/startendError" }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } } } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "start": { "name": "start", "in": "query", "description": "The start date.", "required": "true", "schema": { "type": "string" }, "example": "2020-09-10T23:59:22.345Z" }, "end": { "name": "end", "in": "query", "description": "The end date.", "required": "true", "schema": { "type": "string" }, "example": "2020-09-09T00:11:22.345Z" }, "departmentId": { "name": "departmentId", "in": "query", "description": "The department ID. ", "required": "false", "schema": { "type": "string" } } }, "responses": { "startendError": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "must have required property 'start' [invalid-params]", "errorType": "invalid-params" } }, "Example 2": { "value": { "success": "false", "error": "The \"start\" query parameter must be a valid date." } }, "Example 3": { "value": { "success": "false", "error": "must have required property 'end' [invalid-params]", "errorType": "invalid-params" } }, "Example 4": { "value": { "success": "false", "error": "The \"end\" query parameter must be a valid date." } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": "false", "error": "unauthorized" } } } } } } } } } ````